/**
 * IconMenu 部件模型
 *
 * @export
 * @class IconMenuModel
 */
export default class IconMenuModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof IconMenuModel
     */
    public items: any[] = [
        {
	id: '7E7AACC8-64B8-4BFE-BC5A-809E4C629278',
	name: 'menuitem1',
	text: '菜单1',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单1',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-iconMenu-menuitem1',
},
        {
	id: '2A01B442-ACB2-4175-BC52-0C5743A72DB2',
	name: 'menuitem2',
	text: '菜单2',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单2',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-iconMenu-menuitem2',
},
        {
	id: 'AD755E05-FA6C-4FA4-90E9-AD0234566866',
	name: 'menuitem3',
	text: '菜单3',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单3',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-iconMenu-menuitem3',
},
        {
	id: 'C19A946A-FEB4-4A7F-B858-05CBB788B066',
	name: 'menuitem4',
	text: '菜单4',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单4',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-iconMenu-menuitem4',
},
        {
	id: 'CF85628B-1499-455E-A809-CBA4BBDB0213',
	name: 'menuitem5',
	text: '菜单5',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单5',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-iconMenu-menuitem5',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof IconMenuModel
	 */
	public funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof IconMenuModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof IconMenuModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}